#
# makefile.mpl.ds.cpp
#
# Sample makefile for an IBM SP2 using MPL.
# This uses a shared libnexus, and does dynamic context loading using st_ibmds
#
# rcsid = "$Header: /Net/folding.compbio.caltech.edu/bcomp/src/master/nexus/makefile.mpl.ds.cpp,v 1.7 1995/07/19 21:09:44 patton Exp $"
#

G_MAKEFILE=makefile.mpl.ds.cpp
G_MAKEFILE_LNK_SUFFIX=.ibm
G_NEXUS_SPOOF_P0_MAKEFILE=yes
O_DIR=.
SRC_PATH=.
G_OFILE=o
G_LIBFILE=a

G_ARCH=RS6000
G_OTHER_ARCH=AIX AIX_DCE_THREADS DCE_THREADS MPL STARTUP_IBMDS
G_CLASS=32BIT_BE
G_PORTS0_TH_MODULE=p0_th_p
G_NEXUS_TH_MODULE=th_p0
G_NEXUS_MD_MODULE=md_unix
G_NEXUS_NL_MODULE=nl_file
G_NEXUS_PROTO_OBJS=
G_NEXUS_STARTUP_OBJS=$(O_DIR)/st_ibmds.$(G_OFILE)
G_NEXUS_STATIC_OTHER_OBJS=$(O_DIR)/st_ibmds2.$(G_OFILE) $(O_DIR)/st_ibmds4.$(G_OFILE) $(O_DIR)/pr_mpl2.$(G_OFILE) $(O_DIR)/st_mpl.$(G_OFILE)
G_NEXUS_OTHER_OBJS=$(O_DIR)/ibm_cpp_load.$(G_OFILE)
G_NEXUS_DATABASE_OBJS=$(O_DIR)/db_file.$(G_OFILE)
G_CC=./mpxlc_r
G_POE_DIR=/usr/lpp/poe
G_CFLAGS=
G_OPT_CFLAGS=-O
G_SAFE_CFLAGS=-O -DNEXUS_DEBUG
G_DEBUG_CFLAGS=-g -DNEXUS_DEBUG
G_PROFILE_CFLAGS=-O -DNEXUS_PROFILE
G_CLIBS=-lld
G_LDFLAGS=-bE:ibm_entrypt.exp
G_POSTPROCESSOR=ibm_entrypt
G_NEXUS_CONFIG=NEXUS_HAS_WAITPID NEXUS_HAS_WAIT_STATUS_MACROS NEXUS_HAS_SIGHOLD NEXUS_ALIGN=8 NEXUS_CPP_HACK NEXUS_DONT_CATCH_SIGSEGV
#G_NEXUS_CONFIG=NEXUS_HAS_WAITPID NEXUS_HAS_WAIT_STATUS_MACROS NEXUS_HAS_SIGHOLD NEXUS_ALIGN=8 NEXUS_CRITICAL_PATH_TIMER NEXUS_SPOOF_COPY NEXUS_USE_ACK_PROTOCOL
G_PORTS0_CONFIG=PORTS0_DEFAULT_STACK_SIZE=1048576 _ALL_SOURCE
G_RM=/bin/rm
G_MAKE=/usr/bin/make
G_MKDIR=/bin/mkdir
G_CP=/bin/cp
G_CHMOD=/bin/chmod
G_RANLIB=/usr/bin/true
G_AR=/usr/bin/ar
G_ARFLAGS=qv
G_MKSHR=/bin/xlC
G_MV=/bin/mv
G_RSH=/usr/bin/rsh
G_SYMLINK=/bin/ln -s
INSTALL_BASE_DIR=/usr/local/nexus
INSTALL_BIN_DIR=$(INSTALL_BASE_DIR)/bin
INSTALL_LIB_DIR=$(INSTALL_BASE_DIR)/lib
INSTALL_INC_DIR=$(INSTALL_BASE_DIR)/include
G_LISTENER=$(INSTALL_BIN_DIR)/listener
G_FILE_MODE=o-w
G_EXE_FILE_MODE=o-w
INCLUDE_PATH=.
G_MISC_EXE=ibm_mplmakeDynaLoadCntxt
include makefile.bas
