#
# makefile.sol
#
# Sample makefile for Sun running Solaris 2.3
#
# rcsid = "$Header: /Net/folding.compbio.caltech.edu/bcomp/src/master/nexus/makefile.sol,v 1.35 1995/07/20 23:22:22 garnett Exp $"
#

G_MAKEFILE=makefile.sol
G_MAKEFILE_LNK_SUFFIX=.sol
G_NEXUS_SPOOF_P0_MAKEFILE=yes
O_DIR=.
SRC_PATH=.
#G_LIBFILE=a
G_LIBFILE=so
G_OFILE=o

G_ARCH=SPARCSOL23
G_OTHER_ARCH=SOLARIS23 SOLARIS
G_CLASS=32BIT_BE
G_PORTS0_TH_MODULE=p0_th_sol
G_NEXUS_TH_MODULE=th_p0
G_NEXUS_MD_MODULE=md_unix
G_NEXUS_NL_MODULE=nl_file
G_NEXUS_PROTO_OBJS=$(O_DIR)/pr_tcp.$(G_OFILE)
#G_NEXUS_STARTUP_OBJS=$(O_DIR)/st_fork.$(G_OFILE) $(O_DIR)/st_rsh.$(G_OFILE) $(O_DIR)/st_ss.$(G_OFILE)
G_NEXUS_STARTUP_OBJS=$(O_DIR)/st_fork.$(G_OFILE) $(O_DIR)/st_rsh.$(G_OFILE) $(O_DIR)/st_ss.$(G_OFILE) $(O_DIR)/st_soldl.$(G_OFILE)
G_NEXUS_DATABASE_OBJS=$(O_DIR)/db_file.$(G_OFILE)
#G_CC=/bcomp/tool/SUNWspro/bin/cc -mt
G_CC=/bcomp/tool/SUNWspro/bin/cc -mt -KPIC
G_CFLAGS=
G_OPT_CFLAGS=-xO3
G_SAFE_CFLAGS=-xO3 -DNEXUS_DEBUG
G_DEBUG_CFLAGS=-g -DNEXUS_DEBUG
G_PROFILE_CFLAGS=-xO3 -DNEXUS_PROFILE
#G_CLIBS=-mt -lsocket -lnsl
G_CLIBS=-mt -lsocket -lnsl -ldl
G_NEXUS_CONFIG=NEXUS_HAS_WAITPID NEXUS_HAS_WAIT_STATUS_MACROS NEXUS_HAS_SIGHOLD NEXUS_HAS_X_OK NEXUS_THREAD_SAFE_SELECT NEXUS_ALIGN=8
G_PORTS0_CONFIG=PORTS0_GETWD_TO_GETCWD 
G_RM=/bin/rm
G_MAKE=/usr/ccs/bin/make
G_MKDIR=/bin/mkdir
G_CP=/bin/cp
G_CHMOD=/bin/chmod
G_FILE_MODE=ugo+r 
G_RANLIB=/bin/true
G_AR=/usr/ccs/bin/ar
G_ARFLAGS=ruv
#G_AR=/bcomp/tool/SUNWspro/bin/cc -mt -G
#G_ARFLAGS=-o
G_MKSHR=/bcomp/tool/SUNWspro/bin/cc -mt -G
G_MV=/bin/mv
G_RSH=/usr/ucb/rsh
G_SYMLINK=/bin/ln -s
INSTALL_BASE_DIR=/usr/local/nexus
INSTALL_BIN_DIR=$(INSTALL_BASE_DIR)/bin
INSTALL_LIB_DIR=$(INSTALL_BASE_DIR)/lib
INSTALL_INC_DIR=$(INSTALL_BASE_DIR)/include
G_LISTENER=$(INSTALL_BIN_DIR)/listener
G_FILE_MODE=o-w
G_EXE_FILE_MODE=o-w
INCLUDE_PATH=.
include makefile.bas
