/*
 * p0_funcs.h
 *
 * rcsid = "$Header: /Net/folding.compbio.caltech.edu/bcomp/src/master/nexus/ports0/p0_funcs.h,v 1.5 1995/06/02 00:07:13 tuecke Exp $"
 */

#ifndef _PORTS0_INCLUDE_FUNCS_H
#define _PORTS0_INCLUDE_FUNCS_H

/*
 * args.c
 */
extern void	_p0_args_init(int *argc, char **argv[]);


/*
 * th_*.c
 */
#ifndef PORTS0_LITE
extern void	_p0_thread_usage_message();
extern int	_p0_thread_new_process_params(char *buf, int size);
extern void	_p0_thread_preinit();
extern void	_p0_thread_init(int *argc, char **argv[]);
extern int	_p0_thread_shutdown();
extern void	_p0_thread_abort(int return_code);
extern void	_p0_thread_create_idle_thread();
extern void	_p0_thread_shutdown_idle_thread();
#endif /* PORTS0_LITE */
    

/*
 * trace.c
 */
extern void	_p0_traceback();


/*
 * util.c
 */
extern char *	_p0_copy_string(char *s);

#endif /* _PORTS0_INCLUDE_FUNCS_H */

