#
# makefile.mpl
#
# Sample makefile for an IBM SP2 using MPL
#
# rcsid = "$Header: /Net/folding.compbio.caltech.edu/bcomp/src/master/nexus/makefile.mpl,v 1.18 1995/07/03 14:49:17 tuecke Exp $"
#

G_MAKEFILE=makefile.mpl
G_MAKEFILE_LNK_SUFFIX=
G_NEXUS_SPOOF_P0_MAKEFILE=yes
O_DIR=.
SRC_PATH=.
G_OFILE=o
G_LIBFILE=a

G_ARCH=RS6000
G_OTHER_ARCH=AIX AIX_DCE_THREADS DCE_THREADS MPL
G_CLASS=32BIT_BE
G_PORTS0_TH_MODULE=p0_th_p
G_NEXUS_TH_MODULE=th_p0
G_NEXUS_MD_MODULE=md_unix
G_NEXUS_NL_MODULE=nl_file
G_NEXUS_PROTO_OBJS=$(O_DIR)/pr_mpl2.$(G_OFILE)
G_NEXUS_STARTUP_OBJS=$(O_DIR)/st_mpl.$(G_OFILE)
G_NEXUS_DATABASE_OBJS=$(O_DIR)/db_file.$(G_OFILE)
G_CC=./mpxlc_r
G_POE_DIR=/usr/lpp/poe
G_CFLAGS=
G_OPT_CFLAGS=-O
G_SAFE_CFLAGS=-O -DNEXUS_DEBUG
G_DEBUG_CFLAGS=-g -DNEXUS_DEBUG
G_PROFILE_CFLAGS=-O -DNEXUS_PROFILE
G_CLIBS=
G_LDFLAGS=
G_NEXUS_CONFIG=NEXUS_HAS_WAITPID NEXUS_HAS_WAIT_STATUS_MACROS NEXUS_HAS_SIGHOLD NEXUS_DONT_CATCH_SIGSEGV NEXUS_ALIGN=8
#G_NEXUS_CONFIG=NEXUS_HAS_WAITPID NEXUS_HAS_WAIT_STATUS_MACROS NEXUS_HAS_SIGHOLD NEXUS_DONT_CATCH_SIGSEGV NEXUS_ALIGN=8 NEXUS_CRITICAL_PATH_TIMER NEXUS_SPOOF_COPY NEXUS_USE_ACK_PROTOCOL
G_PORTS0_CONFIG=PORTS0_DEFAULT_STACK_SIZE=1048576 _ALL_SOURCE
G_RM=/bin/rm
G_MAKE=/usr/bin/make
G_MKDIR=/bin/mkdir
G_CP=/bin/cp
G_CHMOD=/bin/chmod
G_RANLIB=/usr/bin/true
G_AR=/usr/bin/ar
G_ARFLAGS=ruv
G_MV=/bin/mv
G_RSH=/usr/bin/rsh
G_SYMLINK=/bin/ln -s
INSTALL_BASE_DIR=/usr/local/nexus
INSTALL_BIN_DIR=$(INSTALL_BASE_DIR)/bin
INSTALL_LIB_DIR=$(INSTALL_BASE_DIR)/lib
INSTALL_INC_DIR=$(INSTALL_BASE_DIR)/include
G_FILE_MODE=o-w
G_EXE_FILE_MODE=o-w
INCLUDE_PATH=.
include makefile.bas
