/*
 * p0_globals.h
 *
 * rcsid = "$Header: /Net/folding.compbio.caltech.edu/bcomp/src/master/nexus/ports0/p0_globals.h,v 1.4 1995/06/02 00:07:17 tuecke Exp $"
 */

#ifndef _PORTS0_INCLUDE_GLOBALS_H
#define _PORTS0_INCLUDE_GLOBALS_H

/*
 * This is used by the ports0 print routines for output.
 */
PORTS0_GLOBAL FILE 	*_p0_stdout;


/*
 * Various debug flags...
 */
#ifdef PORTS0_DEBUG
PORTS0_GLOBAL int	_p0_debug_level;
#endif

#ifdef PORTS0_MALLOC_DEBUG
PORTS0_GLOBAL int		_p0_malloc_debug_level;
PORTS0_GLOBAL int 		_p0_malloc_pad_size;
PORTS0_GLOBAL ports0_bool_t	_p0_trace_malloc;
PORTS0_GLOBAL ports0_bool_t	_p0_no_frees;
#endif /* PORTS0_MALLOC_DEBUG */

#endif /* _PORTS0_INCLUDE_GLOBALS_H */
